Name:           perl-MetaCPAN-API
Version:        0.44
Release:        2%{?dist}
Summary:        Comprehensive, DWIM-featured API to MetaCPAN
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/MetaCPAN-API/
Source0:        http://www.cpan.org/authors/id/X/XS/XSAWYERX/MetaCPAN-API-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(Carp)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(JSON)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::Coverage::TrustPod)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(Test::TinyMocker)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(URI::Escape)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

# skip tests that require network access in koji
# rpmbuild --with network-tests to re-enable
%bcond_with network_tests

%description
This is a hopefully-complete API-compliant interface to MetaCPAN
(https://metacpan.org) with DWIM capabilities, to make your life easier.

However, it has been completely rewritten to address a multitude of problems,
and is now available under the new official name: MetaCPAN::Client.

Please do not use this module.

%prep
%setup -q -n MetaCPAN-API-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0

%{_fixperms} %{buildroot}/*

%check
# avoid tests that require network access in koji
%if !%{with network_tests}
mv t/{author,autocomplete,distribution,favorite,file,module,pod,release,source}.t ./
%endif

AUTHOR_TESTING=1 RELEASE_TESTING=1 ./Build test

%if !%{with network_tests}
mv ./{author,autocomplete,distribution,favorite,file,module,pod,release,source}.t t/
%endif

%files
%doc Changes LICENSE README
%{perl_vendorlib}/MetaCPAN/
%{_mandir}/man3/*

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.44-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 28 2014 Paul Howarth <paul@city-fan.org> - 0.44-1
- Update to 0.44
  - This module is deprecated; please use MetaCPAN::Client instead
- Account for new tests that require network access

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 0.43-6
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.43-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.43-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.43-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.43-2
- Perl 5.16 rebuild

* Thu Apr 19 2012 Iain Arnell <iarnell@gmail.com> 0.43-1
- update to latest upstream version
- enable author/release tests

* Sun Apr 01 2012 Iain Arnell <iarnell@gmail.com> 0.42-1
- Specfile autogenerated by cpanspec 1.79.
- skip tests that require network access in koji
